Run of lintian-fixes for crrcsim

Try this locally (using the lintian-brush package):

debcheckout crrcsim
cd crrcsim
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
Opening branch at https://salsa.debian.org/debian/crrcsim.git/,branch=master
Using cached branch file:///home/janitor/vcs/git/crrcsim/,branch=master
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Assuming changelog does not need to be updated, since there are Gbp-Dch stanzas in commit messages Specify --update-changelog to override.
only add-on fixers found
Building debian packages, running 'sbuild -A -v'.
Attempting to use fixer <function fix_missing_library at 0x7f48d1d3f700> to address MissingLibrary('CGAL')
Elapsed time: 0:08:46.699029
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/build.py", line 128, in build
    subprocess.check_call(
  File "/usr/lib/python3.8/subprocess.py", line 364, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -A -v', '--result-dir=/home/janitor/tmp/tmp3w9pdiiw']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/build.py", line 141, in build_once
    build(local_tree, outf=f, build_command=build_command,
  File "/home/janitor/debian-janitor/janitor/build.py", line 132, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 1069, in build_incrementally
    return attempt_build(
  File "/home/janitor/debian-janitor/janitor/build.py", line 182, in attempt_build
    return build_once(
  File "/home/janitor/debian-janitor/janitor/build.py", line 146, in build_once
    raise worker_failure_from_sbuild_log(f)
janitor.sbuild_log.SbuildFailure: ('build', 'missing library: CGAL')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 310, in load_url
    response = urlopen(request)
  File "/usr/lib/python3.8/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.8/urllib/request.py", line 531, in open
    response = meth(req, response)
  File "/usr/lib/python3.8/urllib/request.py", line 640, in http_response
    response = self.parent.error(
  File "/usr/lib/python3.8/urllib/request.py", line 569, in error
    return self._call_chain(*args)
  File "/usr/lib/python3.8/urllib/request.py", line 502, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.8/urllib/request.py", line 649, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 275, in from_env
    return cls.from_urls(urls)
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 302, in from_urls
    self.load_url(url)
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 313, in load_url
    raise ContentsFileNotFound(url)
janitor.fix_build.ContentsFileNotFound: http://deb.debian.org/debian/dists/unstable/main/Contents-all.gz

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 310, in load_url
    response = urlopen(request)
  File "/usr/lib/python3.8/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.8/urllib/request.py", line 531, in open
    response = meth(req, response)
  File "/usr/lib/python3.8/urllib/request.py", line 640, in http_response
    response = self.parent.error(
  File "/usr/lib/python3.8/urllib/request.py", line 569, in error
    return self._call_chain(*args)
  File "/usr/lib/python3.8/urllib/request.py", line 502, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.8/urllib/request.py", line 649, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 604, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 562, in main
    with process_package(
  File "/usr/lib/python3.8/contextlib.py", line 113, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 481, in process_package
    target.build(ws, subpath, output_directory, env)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 323, in build
    (changes_name, cl_version) = build_incrementally(
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 1101, in build_incrementally
    if not resolve_error(
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 1052, in resolve_error
    made_changes = fixer(error, context)
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 767, in fix_missing_library
    package = get_package_for_paths(paths, regex=True)
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 365, in get_package_for_paths
    candidates.update(search_apt_file(path, regex=regex))
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 356, in search_apt_file
    _apt_file_searcher = ContentsAptFileSearcher.from_env()
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 277, in from_env
    return cls.from_urls([os.environ['APT_CONTENTS_LEGACY_URL']])
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 302, in from_urls
    self.load_url(url)
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 313, in load_url
    raise ContentsFileNotFound(url)
janitor.fix_build.ContentsFileNotFound: http://deb.debian.org/debian/dists/unstable/Contents-amd64.gz

Full worker log Full build log